Index: /trunk/library/ckeditor/plugins/aspell/spellerpages/server-scripts/spellchecker.php
===================================================================
--- /trunk/library/ckeditor/plugins/aspell/spellerpages/server-scripts/spellchecker.php	(revision 7655)
+++ /trunk/library/ckeditor/plugins/aspell/spellerpages/server-scripts/spellchecker.php	(revision 7673)
@@ -82,5 +82,6 @@
 	# open temp file, add the submitted text.
 	if( $fh = fopen( $tempfile, 'w' )) {
-		for( $i = 0; $i < count( $textinputs ); ++$i ) {
+        $textinputs_count = count( $textinputs );
+		for( $i = 0; $i < $textinputs_count; ++$i ) {
 			$text = urldecode( $textinputs[$i] );
                         $text = html_entity_decode ($text , ENT_QUOTES , 'UTF-8'  );
Index: /trunk/library/Net/Sieve.php
===================================================================
--- /trunk/library/Net/Sieve.php	(revision 7655)
+++ /trunk/library/Net/Sieve.php	(revision 7673)
@@ -929,5 +929,6 @@
         $data = preg_split('/\r?\n/', $this->_toUpper($data), -1, PREG_SPLIT_NO_EMPTY);
 
-        for ($i = 0; $i < count($data); ++$i) {
+        $data_count = count($data);
+        for ($i = 0; $i < $data_count; ++$i) {
             if (!preg_match('/^"([A-Z]+)"( "(.*)")?$/', $data[$i], $matches)) {
                 continue;
Index: /trunk/library/PEAR/PEAR/Frontend/CLI.php
===================================================================
--- /trunk/library/PEAR/PEAR/Frontend/CLI.php	(revision 7655)
+++ /trunk/library/PEAR/PEAR/Frontend/CLI.php	(revision 7673)
@@ -579,5 +579,6 @@
     {
         $highest = 1;
-        for ($i = 0; $i < count($columns); ++$i) {
+        $columns_count = count($columns);
+        for ($i = 0; $i < $columns_count; ++$i) {
             $col = &$columns[$i];
             if (isset($colparams[$i]) && !empty($colparams[$i]['wrap'])) {
@@ -672,5 +673,6 @@
         }
 
-        for ($i = 0; $i < count($table_data); ++$i) {
+        $table_data_count = count($table_data);
+        for ($i = 0; $i < $table_data_count; ++$i) {
             extract($table_data[$i]);
             if (!is_array($rowparams)) {
@@ -684,5 +686,6 @@
             $rowlines = array();
             if ($height > 1) {
-                for ($c = 0; $c < count($data); $c++) {
+                $data_count = count($data);
+                for ($c = 0; $c < $data_count; $c++) {
                     $rowlines[$c] = preg_split('/(\r?\n|\r)/', $data[$c]);
                     if (count($rowlines[$c]) < $height) {
@@ -691,5 +694,6 @@
                 }
             } else {
-                for ($c = 0; $c < count($data); ++$c) {
+                $data_count = count($data);
+                for ($c = 0; $c < $data_count; ++$c) {
                     $rowlines[$c] = array($data[$c]);
                 }
@@ -698,5 +702,6 @@
             for ($r = 0; $r < $height; ++$r) {
                 $rowtext = '';
-                for ($c = 0; $c < count($data); ++$c) {
+                $data_count = count($data);
+                for ($c = 0; $c < $data_count; ++$c) {
                     if (isset($colparams[$c])) {
                         $attribs = array_merge($rowparams, $colparams);
Index: /trunk/library/PEAR/PEAR/PackageFile/v2.php
===================================================================
--- /trunk/library/PEAR/PEAR/PackageFile/v2.php	(revision 7655)
+++ /trunk/library/PEAR/PEAR/PackageFile/v2.php	(revision 7673)
@@ -329,7 +329,9 @@
         $mymaintainers = $this->getMaintainers();
         $yourmaintainers = $pf1->getMaintainers();
-        for ($i1 = 0; $i1 < count($yourmaintainers); ++$i1) {
+        $yourmaintainers_count = count($yourmaintainers);
+        for ($i1 = 0; $i1 < $yourmaintainers_count; ++$i1) {
             $reset = false;
-            for ($i2 = 0; $i2 < count($mymaintainers); ++$i2) {
+            $mymaintainers_count = count($mymaintainers);
+            for ($i2 = 0; $i2 < $mymaintainers_count; ++$i2) {
                 if ($mymaintainers[$i2]['handle'] == $yourmaintainers[$i1]['handle']) {
                     if ($mymaintainers[$i2]['role'] != $yourmaintainers[$i1]['role']) {
@@ -1213,5 +1215,6 @@
             }
 
-            for ($i = 0; $i < count($releases['configureoption']); ++$i) {
+            $releases_count = count($releases['configureoption']);
+            for ($i = 0; $i < $releases_count; ++$i) {
                 $releases['configureoption'][$i] = $releases['configureoption'][$i]['attribs'];
             }
Index: /trunk/library/mime/mimeDecode.php
===================================================================
--- /trunk/library/mime/mimeDecode.php	(revision 7655)
+++ /trunk/library/mime/mimeDecode.php	(revision 7673)
@@ -326,5 +326,6 @@
 
                     $parts = $this->_boundarySplit($body, $content_type['other']['boundary']);
-                    for ($i = 0; $i < count($parts); ++$i) {
+                    $parts_count = count($parts);
+                    for ($i = 0; $i < $parts_count; ++$i) {
                         list($part_header, $part_body) = $this->_splitBodyHeader($parts[$i]);
                         $part = $this->_decode($part_header, $part_body, $default_ctype);
@@ -386,6 +387,6 @@
                 $return[$prepend . $mime_number] = &$structure;
             }
-            for ($i = 0; $i < count($structure->parts); ++$i) {
-
+            $structure_parts_count = count($structure->parts);
+            for ($i = 0; $i < $structure_parts_count; ++$i) {
             
                 if (!empty($structure->headers['content-type']) AND substr(strtolower($structure->headers['content-type']), 0, 8) == 'message/') {
@@ -792,5 +793,6 @@
         preg_match_all("/begin ([0-7]{3}) (.+)\r?\n(.+)\r?\nend/Us", $input, $matches);
 
-        for ($j = 0; $j < count($matches[3]); ++$j) {
+        $matches_count = count($matches[3]);
+        for ($j = 0; $j < $matches_count; ++$j) {
 
             $str      = $matches[3][$j];
@@ -943,5 +945,6 @@
             // Multiple headers with this name
             if (is_array($headers[$hdr_name])) {
-                for ($i = 0; $i < count($hdr_value); ++$i) {
+                $hdr_value_count = count($hdr_value);
+                for ($i = 0; $i < $hdr_value_count; ++$i) {
                     $output .= Mail_mimeDecode::_getXML_helper($hdr_name, $hdr_value[$i], $indent);
                 }
@@ -954,5 +957,6 @@
 
         if (!empty($input->parts)) {
-            for ($i = 0; $i < count($input->parts); ++$i) {
+            $parts_count = count($input->parts);
+            for ($i = 0; $i < $parts_count; ++$i) {
                 $output .= $crlf . str_repeat($htab, $indent) . '<mimepart>' . $crlf .
                            Mail_mimeDecode::_getXML($input->parts[$i], $indent+1) .
Index: /trunk/library/mime/mimePart.php
===================================================================
--- /trunk/library/mime/mimePart.php	(revision 7655)
+++ /trunk/library/mime/mimePart.php	(revision 7673)
@@ -283,5 +283,6 @@
             $encoded['body'] = ''; 
 
-            for ($i = 0; $i < count($this->_subparts); ++$i) {
+            $subparts_count = count($this->_subparts);
+            for ($i = 0; $i < $subparts_count; ++$i) {
                 $encoded['body'] .= '--' . $boundary . $eol;
                 $tmp = $this->_subparts[$i]->encode();
@@ -393,5 +394,6 @@
 
         if (count($this->_subparts)) {
-            for ($i = 0; $i < count($this->_subparts); ++$i) {
+            $subparts_count = count($this->_subparts);
+            for ($i = 0; $i < $subparts_count; ++$i) {
                 fwrite($fh, $f_eol . '--' . $boundary . $eol);
                 $res = $this->_subparts[$i]->_encodePartToFile($fh);
Index: /trunk/library/mime/mime.php
===================================================================
--- /trunk/library/mime/mime.php	(revision 7655)
+++ /trunk/library/mime/mime.php	(revision 7673)
@@ -895,5 +895,6 @@
         case !$text && !$html && $attachments:
             $message =& $this->_addMixedPart();
-            for ($i = 0; $i < count($this->_parts); ++$i) {
+            $parts_count = count($this->_parts);
+            for ($i = 0; $i < $parts_count; ++$i) {
                 $this->_addAttachmentPart($message, $this->_parts[$i]);
             }
@@ -903,5 +904,6 @@
             $message =& $this->_addMixedPart();
             $this->_addTextPart($message, $this->_txtbody);
-            for ($i = 0; $i < count($this->_parts); ++$i) {
+            $parts_count = count($this->_parts);
+            for ($i = 0; $i < $parts_count; ++$i) {
                 $this->_addAttachmentPart($message, $this->_parts[$i]);
             }
@@ -930,5 +932,6 @@
                 $ht =& $this->_addRelatedPart($message);
                 $this->_addHtmlPart($ht);
-                for ($i = 0; $i < count($this->_html_images); ++$i) {
+                $html_images_count = count($this->_html_images);
+                for ($i = 0; $i < $html_images_count; ++$i) {
                     $this->_addHtmlImagePart($ht, $this->_html_images[$i]);
                 }
@@ -939,5 +942,6 @@
                 $message =& $this->_addRelatedPart($null);
                 $this->_addHtmlPart($message);
-                for ($i = 0; $i < count($this->_html_images); ++$i) {
+                $html_images_count = count($this->_html_images);
+                for ($i = 0; $i < $html_images_count; ++$i) {
                     $this->_addHtmlImagePart($message, $this->_html_images[$i]);
                 }
@@ -958,5 +962,6 @@
                 $this->_addHtmlPart($message);
             }
-            for ($i = 0; $i < count($this->_html_images); ++$i) {
+            $html_images_count = count($this->_html_images);
+            for ($i = 0; $i < $html_images_count; ++$i) {
                 $this->_addHtmlImagePart($message, $this->_html_images[$i]);
             }
@@ -973,5 +978,6 @@
                 $this->_addHtmlPart($message);
             }
-            for ($i = 0; $i < count($this->_parts); ++$i) {
+            $parts_count = count($this->_parts);
+            for ($i = 0; $i < $parts_count; ++$i) {
                 $this->_addAttachmentPart($message, $this->_parts[$i]);
             }
@@ -989,8 +995,10 @@
             }
             $this->_addHtmlPart($rel);
-            for ($i = 0; $i < count($this->_html_images); ++$i) {
+		    $html_images_count = count($this->_html_images);
+            for ($i = 0; $i < $html_images_count; ++$i) {
                 $this->_addHtmlImagePart($rel, $this->_html_images[$i]);
             }
-            for ($i = 0; $i < count($this->_parts); ++$i) {
+		    $parts_count = count($this->_parts);
+            for ($i = 0; $i < $parts_count; ++$i) {
                 $this->_addAttachmentPart($message, $this->_parts[$i]);
             }
@@ -1008,9 +1016,11 @@
 				$this->_addHtmlPart($message);
             }
-			
-            for ($i = 0; $i < count($this->_html_images); ++$i) {
+
+			$html_images_count = count($this->_html_images);
+            for ($i = 0; $i < $html_images_count; ++$i) {
                 $this->_addHtmlImagePart($message, $this->_html_images[$i]);
             }
-            for ($i = 0; $i < count($this->_parts); ++$i) {
+            $parts_count = count($this->_parts);
+            for ($i = 0; $i < $parts_count; ++$i) {
                 $this->_addAttachmentPart($message, $this->_parts[$i]);
             }
Index: /trunk/filemanager/tp/dompdf/include/cpdf_adapter.cls.php
===================================================================
--- /trunk/filemanager/tp/dompdf/include/cpdf_adapter.cls.php	(revision 7655)
+++ /trunk/filemanager/tp/dompdf/include/cpdf_adapter.cls.php	(revision 7673)
@@ -570,5 +570,6 @@
     
     // Adjust y values
-    for ( $i = 1; $i < count($points); $i += 2)
+    $points_count = count($points);
+    for ( $i = 1; $i < $points_count; $i += 2)
       $points[$i] = $this->y($points[$i]);
     
Index: /trunk/filemanager/tp/dompdf/include/text_frame_reflower.cls.php
===================================================================
--- /trunk/filemanager/tp/dompdf/include/text_frame_reflower.cls.php	(revision 6057)
+++ /trunk/filemanager/tp/dompdf/include/text_frame_reflower.cls.php	(revision 7673)
@@ -134,5 +134,6 @@
     reset($words);
 
-    for ($i = 0; $i < count($words); $i += 2) {
+    $words_count = count($words);
+    for ($i = 0; $i < $words_count; $i += 2) {
       $word = $words[$i] . (isset($words[$i+1]) ? $words[$i+1] : "");
       $word_width = Font_Metrics::get_text_width($word, $font, $size, $word_spacing);
Index: /trunk/filemanager/tp/dompdf/lib/class.pdf.php
===================================================================
--- /trunk/filemanager/tp/dompdf/lib/class.pdf.php	(revision 7655)
+++ /trunk/filemanager/tp/dompdf/lib/class.pdf.php	(revision 7673)
@@ -2615,5 +2615,6 @@
                   $dtmp[$bits2[0]] = array();
 
-                  for  ($i = 1;$i<count($bits2);++$i) {
+                  $bits2_count = count($bits2);
+                  for  ($i = 1;$i<$bits2_count;++$i) {
 
                     $dtmp[$bits2[0]][] = $bits2[$i];
@@ -2661,5 +2662,6 @@
                     $dtmp[$bits2[0]] = array();
 
-                    for  ($i = 1;$i<count($bits2);++$i) {
+                    $bits2_count = count($bits2);
+                    for  ($i = 1;$i<$bits2_count;++$i) {
 
                       $dtmp[$bits2[0]][] = $bits2[$i];
Index: /trunk/filemanager/inc/class.uiconfig.inc.php
===================================================================
--- /trunk/filemanager/inc/class.uiconfig.inc.php	(revision 7655)
+++ /trunk/filemanager/inc/class.uiconfig.inc.php	(revision 7673)
@@ -272,6 +272,7 @@
 				$result = $notify->SearchId($_GET['editUser']);
 				$emails_to = explode(",", $result[0]['email_to']);
-				
-				for( $i = 0 ; $i < count($emails_to); ++$i )
+
+                $emails_to_count = count($emails_to);
+				for( $i = 0 ; $i < $emails_to_count; ++$i )
 				{
 					$value_email_to .= "<tr>";
Index: /trunk/filemanager/inc/class.uifilemanager.inc.php
===================================================================
--- /trunk/filemanager/inc/class.uifilemanager.inc.php	(revision 7655)
+++ /trunk/filemanager/inc/class.uifilemanager.inc.php	(revision 7673)
@@ -1211,5 +1211,6 @@
 				reset($this->files_array);
 				$this->readFilesInfo();
-				for ($i = 0; $i < count($this->files_array); ++$i) {
+                $files_array_count = count($this->files_array);
+				for ($i = 0; $i < $files_array_count; ++$i) {
 					$comment = strtoupper($this->files_array[$i]['comment']);
 					$name = strtoupper($this->files_array[$i]['name']);
Index: /trunk/filemanager/inc/class.notifications.inc.php
===================================================================
--- /trunk/filemanager/inc/class.notifications.inc.php	(revision 7655)
+++ /trunk/filemanager/inc/class.notifications.inc.php	(revision 7673)
@@ -110,6 +110,7 @@
 			
 			$email_to = explode( ",", $result[0]['email_to'] );
-			
-			for( $i = 0 ; $i < count($email_to); ++$i )
+
+            $email_to_count = count($email_to);
+			for( $i = 0 ; $i < $email_to_count; ++$i )
 			{
 				if($email_to[$i] == $emailTo)
Index: /trunk/expressoAdmin1_2/inc/class.db_functions.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.db_functions.inc.php	(revision 7655)
+++ /trunk/expressoAdmin1_2/inc/class.db_functions.inc.php	(revision 7673)
@@ -141,5 +141,6 @@
 		
 		//Escrevre no Banco as aplicações que o gerente tem direito de disponibilizar aos seus usuarios.
-		for ($i=0; $i<count($aplications); ++$i)
+        $aplications_count = count($aplications);
+		for ($i=0; $i<$aplications_count; ++$i)
 		{
 			$sql = "INSERT INTO phpgw_expressoadmin_apps (manager_lid, context, app) "
@@ -415,6 +416,7 @@
 		while($this->db->next_record())
 			$user_app[] = $this->db->row();
-		
-		for ($i=0; $i<count($user_app); ++$i)
+
+        $user_app_count = count($user_app);
+		for ($i=0; $i<$user_app_count; ++$i)
 			$return['groups'][] = $user_app[$i]['acl_location'];
 		
Index: /trunk/expressoAdmin1_2/inc/class.bomessages_size.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.bomessages_size.inc.php	(revision 7655)
+++ /trunk/expressoAdmin1_2/inc/class.bomessages_size.inc.php	(revision 7673)
@@ -285,5 +285,6 @@
 			$rules_tr = '';
 
-			for ($i = 0; $i<count($rules); ++$i)
+            $rules_count = count($rules);
+			for ($i = 0; $i<$rules_count; ++$i)
 			{
 				$name_link = (string)str_replace(" ", "%", $rules[$i]['email_recipient']);
@@ -311,5 +312,6 @@
 			$rules_tr = '';
 
-			for ($i = 0; $i<count($rules); ++$i)
+            $rules_count = count($rules);
+			for ($i = 0; $i<$rules_count; ++$i)
 			{
 				$name_link = (string)str_replace(" ", "%", $rules[$i]['email_recipient']);
Index: /trunk/expressoAdmin1_2/inc/class.socomputers.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.socomputers.inc.php	(revision 7655)
+++ /trunk/expressoAdmin1_2/inc/class.socomputers.inc.php	(revision 7673)
@@ -86,5 +86,6 @@
 					// Recupera o contexto do email_list
 					$tmp = explode(",", $computer_data['dn']);
-					for ($i = 1; $i < count($tmp); ++$i)
+                    $tmp_count = count($tmp);
+					for ($i = 1; $i < $tmp_count; ++$i)
 						$computer_data['context'] .= $tmp[$i] . ',';
 					$computer_data['context'] = substr($computer_data['context'],0,(strlen($computer_data['context']) - 1));
Index: /trunk/expressoAdmin1_2/inc/class.uimessages_size.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.uimessages_size.inc.php	(revision 7655)
+++ /trunk/expressoAdmin1_2/inc/class.uimessages_size.inc.php	(revision 7673)
@@ -114,6 +114,7 @@
 			$rules = '';
             $all_rules = $this->bo->get_all_rules();
-			
-			for ($i = 0; $i<count($all_rules); ++$i)
+
+            $all_rules_count = count($all_rules);
+			for ($i = 0; $i<$all_rules_count; ++$i)
 			{	
 				/* Verificação para não listar a regra default */
Index: /trunk/expressoAdmin1_2/inc/class.bosectors.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.bosectors.inc.php	(revision 7655)
+++ /trunk/expressoAdmin1_2/inc/class.bosectors.inc.php	(revision 7673)
@@ -162,5 +162,6 @@
 			$sector_users = $this->so->get_sector_users($sector_dn);
 
-			for ($i=0; $i<count($sector_users)-1; ++$i)
+            $sector_users_count = count($sector_users)-1;
+			for ($i=0; $i<$sector_users_count; ++$i)
 			{
 				//_debug_array($user);
@@ -174,5 +175,6 @@
 
 			$sector_groups = $this->so->get_sector_groups($sector_dn);
-			for ($i=0; $i<count($sector_groups)-1; ++$i)
+            $sector_groups_count = count($sector_groups)-1;
+			for ($i=0; $i<$sector_groups_count; ++$i)
 			{
  				$dn = $sector_groups[$i]['dn'];
Index: /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 7655)
+++ /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 7673)
@@ -1571,5 +1571,6 @@
 				$entry[0]['dn'] = strtolower($entry[0]['dn']);
 				$sector_dn_array = explode(",", $entry[0]['dn']);
-				for($i=1; $i<count($sector_dn_array); ++$i)
+                $sector_dn_array_count = count($sector_dn_array);
+				for($i=1; $i<$sector_dn_array_count; ++$i)
 					$sector_dn .= $sector_dn_array[$i] . ',';
 				//Retira ultimo pipe.
@@ -1698,5 +1699,6 @@
 				$entry[0]['dn'] = strtolower($entry[0]['dn']);
 				$sector_dn_array = explode(",", $entry[0]['dn']);
-				for($i=1; $i<count($sector_dn_array); ++$i)
+                $sector_dn_array_count = count($sector_dn_array);
+				for($i=1; $i<$sector_dn_array_count; ++$i)
 					$sector_dn .= $sector_dn_array[$i] . ',';
 				//Retira ultimo pipe.
@@ -1831,5 +1833,6 @@
 				$entry[0]['dn'] = strtolower($entry[0]['dn']);
 				$sector_dn_array = explode(",", $entry[0]['dn']);
-				for($i=1; $i<count($sector_dn_array); ++$i)
+                $sector_dn_array_count = count($sector_dn_array);
+				for($i=1; $i<$sector_dn_array_count; ++$i)
 					$sector_dn .= $sector_dn_array[$i] . ',';
 				//Retira ultimo pipe.
@@ -1929,5 +1932,6 @@
 				$entry[0]['dn'] = strtolower($entry[0]['dn']);
 				$sector_dn_array = explode(",", $entry[0]['dn']);
-				for($i=1; $i<count($sector_dn_array); ++$i)
+                $sector_dn_array_count = count($sector_dn_array);
+				for($i=1; $i<$sector_dn_array_count; ++$i)
 					$sector_dn .= $sector_dn_array[$i] . ',';
 				//Retira ultimo pipe.
@@ -2001,5 +2005,6 @@
 				$entry[0]['dn'] = strtolower($entry[0]['dn']);
 				$sector_dn_array = explode(",", $entry[0]['dn']);
-				for($i=1; $i<count($sector_dn_array); ++$i)
+                $sector_dn_array_count = count($sector_dn_array);
+				for($i=1; $i<$sector_dn_array_count; ++$i)
 					$sector_dn .= $sector_dn_array[$i] . ',';
 				//Retira ultimo pipe.
Index: /trunk/listAdmin/inc/class.db_functions.inc.php
===================================================================
--- /trunk/listAdmin/inc/class.db_functions.inc.php	(revision 7655)
+++ /trunk/listAdmin/inc/class.db_functions.inc.php	(revision 7673)
@@ -282,6 +282,7 @@
 		while($this->db->next_record())
 			$user_app[] = $this->db->row();
-		
-		for ($i=0; $i<count($user_app); ++$i)
+
+        $user_app_count = count($user_app);
+		for ($i=0; $i<$user_app_count; ++$i)
 			$return['groups'][] = $user_app[$i]['acl_location'];
 		
Index: /trunk/listAdmin/inc/class.ldap_functions.inc.php
===================================================================
--- /trunk/listAdmin/inc/class.ldap_functions.inc.php	(revision 7655)
+++ /trunk/listAdmin/inc/class.ldap_functions.inc.php	(revision 7673)
@@ -746,5 +746,6 @@
 		$entry[0]['dn'] = strtolower($entry[0]['dn']);
 		$sector_dn_array = explode(",", $entry[0]['dn']);
-		for($i=1; $i<count($sector_dn_array); ++$i)
+        $sector_dn_array_count = count($sector_dn_array);
+		for($i=1; $i<$sector_dn_array_count; ++$i)
 			$sector_dn .= $sector_dn_array[$i] . ',';
 		//Retira ultimo pipe.
@@ -844,5 +845,6 @@
 		$entry[0]['dn'] = strtolower($entry[0]['dn']);
 		$sector_dn_array = explode(",", $entry[0]['dn']);
-		for($i=1; $i<count($sector_dn_array); ++$i)
+        $sector_dn_array_count = count($sector_dn_array);
+		for($i=1; $i<$sector_dn_array_count; ++$i)
 			$sector_dn .= $sector_dn_array[$i] . ',';
 		//Retira ultimo pipe.
@@ -925,5 +927,6 @@
 		$entry[0]['dn'] = strtolower($entry[0]['dn']);
 		$sector_dn_array = explode(",", $entry[0]['dn']);
-		for($i=1; $i<count($sector_dn_array); ++$i)
+        $sector_dn_array_count = count($sector_dn_array);
+		for($i=1; $i<$sector_dn_array_count; ++$i)
 			$sector_dn .= $sector_dn_array[$i] . ',';
 		//Retira ultimo pipe.
@@ -1006,5 +1009,6 @@
 		$entry[0]['dn'] = strtolower($entry[0]['dn']);
 		$sector_dn_array = explode(",", $entry[0]['dn']);
-		for($i=1; $i<count($sector_dn_array); ++$i)
+        $sector_dn_array_count = count($sector_dn_array);
+		for($i=1; $i<$sector_dn_array_count; ++$i)
 			$sector_dn .= $sector_dn_array[$i] . ',';
 		//Retira ultimo pipe.
@@ -1086,5 +1090,6 @@
 		$entry[0]['dn'] = strtolower($entry[0]['dn']);
 		$sector_dn_array = explode(",", $entry[0]['dn']);
-		for($i=1; $i<count($sector_dn_array); ++$i)
+        $sector_dn_array_count = count($sector_dn_array);
+		for($i=1; $i<$sector_dn_array_count; ++$i)
 			$sector_dn .= $sector_dn_array[$i] . ',';
 		//Retira ultimo pipe.
Index: /trunk/admin/inc/class.uiaccounts.inc.php
===================================================================
--- /trunk/admin/inc/class.uiaccounts.inc.php	(revision 7655)
+++ /trunk/admin/inc/class.uiaccounts.inc.php	(revision 7673)
@@ -816,5 +816,6 @@
 			@reset($db_perms);
 
-			for ($i=0;$i<count($perm_display);++$i)
+            $perm_display_count = count($perm_display);
+			for ($i=0;$i<$perm_display_count;++$i)
 			{
 				if ($perm_display[$i]['title'])
@@ -955,5 +956,6 @@
 			
 			$tr_color = $GLOBALS['phpgw_info']['theme']['row_off'];
-			for ($i=0;$i < count($perm_display);++$i)
+            $perm_display_count = count($perm_display);
+			for ($i=0;$i < $perm_display_count;++$i)
 			{
 				$app = $perm_display[$i][0];
@@ -1182,5 +1184,6 @@
 			{
 				$groups_select .= '<option value="' . $value['account_id'] . '"';
-				for ($i=0; $i<count($userGroups); ++$i)
+                $userGroups_count = count($userGroups);
+				for ($i=0; $i<$userGroups_count; ++$i)
 				{
 					/* print "Los1:".$userData["account_id"].$userGroups[$i]['account_id']." : ".$value['account_id']."<br>"; */
Index: /trunk/admin/inc/class.uilog.inc.php
===================================================================
--- /trunk/admin/inc/class.uilog.inc.php	(revision 7655)
+++ /trunk/admin/inc/class.uilog.inc.php	(revision 7673)
@@ -63,5 +63,6 @@
 				{
 					$c = array();
-					for ($i=0;$i<count($_cols);++$i)
+                    $cols_count = count($_cols);
+					for ($i=0;$i<$cols_count;++$i)
 					{
 						if (!in_array($i, $_delcol))
Index: /trunk/admin/inc/class.solog.inc.php
===================================================================
--- /trunk/admin/inc/class.solog.inc.php	(revision 7655)
+++ /trunk/admin/inc/class.solog.inc.php	(revision 7673)
@@ -40,5 +40,6 @@
 				/* fields from phpgw_log table */
 				$clist = $this->db->metadata('phpgw_log');
-				for ($i=0; $i<count($clist); ++$i)
+                $clist_count = count($clist);
+				for ($i=0; $i<$clist_count; ++$i)
 				{
 					$name =  $clist[$i]['name'];
@@ -48,5 +49,6 @@
 				/* fields from phpgw_log_msg table */
 				$clist = $this->db->metadata('phpgw_log_msg');
-				for ($i=0; $i<count($clist); ++$i)
+                $clist_count = count($clist);
+				for ($i=0; $i<$clist_count; ++$i)
 				{
 					$name =  $clist[$i]['name'];
@@ -66,5 +68,6 @@
 				/* Enhance with Columns for phpgw_accounts */
 				$clist = $this->db->metadata('phpgw_accounts');
-				for ($i=0; $i<count($clist); ++$i)
+                $clist_count = count($clist);
+				for ($i=0; $i<$clist_count; ++$i)
 				{
 					$name =  $clist[$i]['name'];
Index: /trunk/admin/inc/class.html_tables.inc.php
===================================================================
--- /trunk/admin/inc/class.html_tables.inc.php	(revision 7655)
+++ /trunk/admin/inc/class.html_tables.inc.php	(revision 7673)
@@ -142,5 +142,6 @@
 						$row = $rows[$rno];
 
-						for($pc=0;$pc<count($row);++$pc)
+                        $row_count = count($row);
+						for($pc=0;$pc<$row_count;++$pc)
 						{
 							$c = $row[$cols[$pc]];
Index: /trunk/jabberit_messenger/jmessenger/inc/class.ContactsIm.inc.php
===================================================================
--- /trunk/jabberit_messenger/jmessenger/inc/class.ContactsIm.inc.php	(revision 7655)
+++ /trunk/jabberit_messenger/jmessenger/inc/class.ContactsIm.inc.php	(revision 7673)
@@ -69,6 +69,7 @@
 		
 		if( is_array($users) )
-		{	
-			for($i = 0; $i < count($users); ++$i)
+		{
+            $users_count = count($users);
+			for($i = 0; $i < $users_count; ++$i)
 			{
 				if( is_array($hostsJabber) )
@@ -203,8 +204,10 @@
 
 			$_restrict = array();
-			
-			for( $i = 0 ; $i < count($orgs) ; ++$i )
-			{
-				for( $j = 0 ; $j < count($array_uids) ; ++$j )
+
+            $orgs_count = count($orgs);
+			for( $i = 0 ; $i < $orgs_count; ++$i )
+			{
+                $array_uids_count = count($array_uids);
+				for( $j = 0 ; $j < $array_uids_count; ++$j )
 				{
 					if( trim($array_uids[$j]['ou']) === trim($orgs[$i]) )
@@ -331,6 +334,7 @@
 						$posAll = $this->strallpos($ou_User, "OU=" );
 						$orgs = array();
-				
-						for( $i = 0 ; $i < count($posAll); ++$i )
+
+                        $posAll_count = count($posAll);
+						for( $i = 0 ; $i < $posAll_count; ++$i )
 						{
 							$pos = strpos($ou_User, ",");
@@ -369,6 +373,7 @@
 							$posAll = $this->strallpos($ou_User, "OU=" );
 							$orgs = array();
-					
-							for( $i = 0 ; $i < count($posAll); ++$i )
+
+                            $posAll_count = count($posAll);
+							for( $i = 0 ; $i < $posAll_count; ++$i )
 							{
 								$pos = strpos($ou_User, ",");
Index: /trunk/jabberit_messenger/jmessenger/inc/class.LdapIM.inc.php
===================================================================
--- /trunk/jabberit_messenger/jmessenger/inc/class.LdapIM.inc.php	(revision 7655)
+++ /trunk/jabberit_messenger/jmessenger/inc/class.LdapIM.inc.php	(revision 7673)
@@ -124,6 +124,7 @@
 		{
 			$confHosts	= $this->hostsJabber;
-			
-			for($i = 0; $i < count($confHosts); ++$i )
+
+            $confHosts_count = count($confHosts);
+			for($i = 0; $i < $confHosts_count; ++$i )
 			{
 				if( $pData['serverLdap'] == $confHosts[$i]['serverLdap'] )
@@ -209,6 +210,7 @@
 			{
 				$confHosts	= $this->hostsJabber;
-			
-				for($i = 0; $i < count($confHosts); ++$i )
+
+                $confHosts_count = count($confHosts);
+				for($i = 0; $i < $confHosts_count; ++$i )
 				{
 					if( $this->ldap )
@@ -278,6 +280,7 @@
 		{
 			$confHosts	= $this->hostsJabber;
-		
-			for($i = 0; $i < count($confHosts); ++$i )
+
+            $confHosts_count = count($confHosts);
+			for($i = 0; $i < $confHosts_count; ++$i )
 			{
 				if( $this->ldap )
@@ -321,6 +324,7 @@
 		{
 			$confHosts	= $this->hostsJabber;
-			
-			for($i = 0; $i < count($confHosts); ++$i )
+
+            $confHosts_count = count($confHosts);
+			for($i = 0; $i < $confHosts_count; ++$i )
 			{
 				if( $pLdap_host == $confHosts[$i]['serverLdap'] )
@@ -399,5 +403,6 @@
 			$confHosts	= $this->hostsJabber;	
 
-			for( $i = 0; $i < count($confHosts); ++$i )
+            $confHosts_count = count($confHosts);
+			for( $i = 0; $i < $confHosts_count; ++$i )
 			{
 				if( trim($host) === trim($confHosts[$i]['jabberName']) )
@@ -452,7 +457,8 @@
 		$result = array();
 		$return	= array();
-		$conn	= "";		
-
-		for( $i = 0; $i < count($confHosts); ++$i )
+		$conn	= "";
+
+        $confHosts_count = count($confHosts);
+		for( $i = 0; $i < $confHosts_count; ++$i )
 		{
 			if( $pLdap && $pLdap == $confHosts[$i]['serverLdap'] )
Index: /trunk/jabberit_messenger/jmessenger/inc/class.DataBaseIM.inc.php
===================================================================
--- /trunk/jabberit_messenger/jmessenger/inc/class.DataBaseIM.inc.php	(revision 7655)
+++ /trunk/jabberit_messenger/jmessenger/inc/class.DataBaseIM.inc.php	(revision 7673)
@@ -57,7 +57,8 @@
 		$hostsJabber = unserialize($this->getHostsJabber());
 		$findHosts	= explode(":", $pItem['item']);
-		$return = "";	
-		
-		for( $i = 0 ; $i < count($hostsJabber); ++$i )
+		$return = "";
+
+        $hostsJabber_count = count($hostsJabber);
+		for( $i = 0 ; $i < $hostsJabber_count; ++$i )
 			if( $hostsJabber[$i]['org'] == $findHosts[0] && $hostsJabber[$i]['jabberName'] == $findHosts[1] )
 			{
@@ -490,5 +491,6 @@
 		$orgs = array();
 
-		for( $i = 0 ; $i < count($posAll); ++$i )
+        $posAll_count = count($posAll);
+		for( $i = 0 ; $i < $posAll_count; ++$i )
 		{
 			$pos = strpos($organization, ",");
@@ -628,5 +630,6 @@
 					if( count($confHostsOrgs) > 0 )
 					{
-						for( $i = 0; $i < count($confHostsOrgs); ++$i)
+                        $confHostsOrgs_count = count($confHostsOrgs);
+						for( $i = 0; $i < $confHostsOrgs_count; ++$i)
 							if( $confHostsOrgs[$i]['org'] == $hosts[0] && $confHostsOrgs[$i]['jabberName'] == $hosts[1])
 								$key = $i;	
